Voilà PHP 8.2 et 8.3

Bonjour,

Nous venons d’ajouter sur notre plateforme les versions 8.2 et 8.3 de PHP.

Rendez-vous sur Ouvadmin pour sélectionner l’une de ces versions.
En cas de dysfonctionnement sur le site, il suffit de revenir à une version de PHP précédente (il faut compter une trentaine de minutes pour que le changement soit effectif).

Si vous ne savez pas ou plus comment faire, consultez la documentation dédiée aux changements de versions de PHP .

Il est recommandé de vérifier, avant de changer la version, que votre site utilise bien un logiciel compatible avec la version de PHP 8 que vous souhaitez utiliser. :slight_smile:
Idéalement il faut mettre à jour votre CMS (Wordpress, SPIP, Joomla etc) ainsi que tous les plugins et thèmes, avant de modifier la version de PHP !

Par ailleurs, la version 8.0 de PHP est désormais affichée en rouge sur Ouvadmin, cette version n’étant plus maintenue par l’équipe de PHP.

4 Likes

Super, je teste tout de suite, merci beaucoup :smiley:

Je mets ici le tableau de compatibilité entre divers CMS comme Wordpress ou SPIP et PHP :

Wordpress : PHP Compatibility and WordPress Versions – Make WordPress Core (Spoil, difficile de savoir pour les versions récentes…)

SPIP : Versions maintenues - SPIP

Drupal : https://www.drupal.org/docs/getting-started/system-requirements/php-requirements

Joomla : Technical Requirements | Joomla! Programmers Documentation

Nextcloud : System requirements — Nextcloud latest Administration Manual latest documentation

2 Likes

Dolibarr : Liste des versions, journal des modifications et compatibilités - Dolibarr ERP CRM Wiki (8.2 max¹)

Matomo : Matomo 5.0.0 - Analytics Platform - Matomo (8.3 ok¹)

Wordpress : De mon retour d’expérience php 8.2 passe bien, j’ai l’impression qu’avec php 8.3 c’est plus lent, mais c’est mon ressenti personnel sans élément technique pour appuyer ma thèse :man_shrugging:

¹ au 8 avril 2023

1 Like